# Set to 0 for a release package
%global debug_package %{nil}
%define unreleased 0
%if 0%{?unreleased}
%define testrev ~test%(date +%%Y%%m%%d%%H%%M)
%endif

Name:           goss
Version:        0.3.16
Release:        1%{?testrev}%{?dist}
Summary:        Quick and Easy server validation tool written in Golang

Group:          Unspecified
License:        Apache License 2.0
URL:            https://github.com/aelsabbahy/goss
Source0:        https://github.com/aelsabbahy/goss/releases/download/v%{version}/goss-linux-amd64#/goss.%{version}
Source1:        https://github.com/aelsabbahy/goss/releases/download/v%{version}/dgoss#/dgoss.%{version}

%description
Goss is a YAML based serverspec alternative tool for validating a server’s configuration. It eases the process of writing tests by allowing the user to generate tests from the current system state. Once the test suite is written they can be executed, waited-on, or served as a health endpoint.

%prep
%setup -c -T

%build
#Nothing to build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}/usr/bin/
install -pm 0755 %{SOURCE0} ${RPM_BUILD_ROOT}/usr/bin/goss
install -pm 0755 %{SOURCE1} ${RPM_BUILD_ROOT}/usr/bin/dgoss

%check
${RPM_BUILD_ROOT}/usr/bin/goss --version

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
/usr/bin/goss
/usr/bin/dgoss

%changelog
* Sat Jul 14 2018 PyRmin <support@pyrmin.io> - 0.3.16-1
- Release 0.3.16
* Tue Dec 05 2017 PyRmin <support@pyrmin.io> - 0.3.5-2
- Correct License
* Tue Dec 05 2017 PyRmin <support@pyrmin.io> - 0.3.5-2
- add check
* Mon Aug 14 2017 PyRmin <support@pyrmin.io> - 0.3.5-1
- First Release
